Update set up wizard
curl --request PATCH \
--url http://staging.qshop.ng/apiv2/{shopId}/wizard/{step} \
--header 'Content-Type: application/json' \
--data '
{
"active": true,
"completed": true,
"componentKey": "storeLaunch",
"description": "Launch your store",
"disabled": false,
"icon": "fas fa-rocket",
"id": 9,
"name": "Store Launch"
}
'import requests
url = "http://staging.qshop.ng/apiv2/{shopId}/wizard/{step}"
payload = {
"active": True,
"completed": True,
"componentKey": "storeLaunch",
"description": "Launch your store",
"disabled": False,
"icon": "fas fa-rocket",
"id": 9,
"name": "Store Launch"
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
active: true,
completed: true,
componentKey: 'storeLaunch',
description: 'Launch your store',
disabled: false,
icon: 'fas fa-rocket',
id: 9,
name: 'Store Launch'
})
};
fetch('http://staging.qshop.ng/apiv2/{shopId}/wizard/{step}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Shops
Update set up wizard
PATCH
/
{shopId}
/
wizard
/
{step}
Update set up wizard
Path Parameters
Example:
"storeLaunch"
Body
application/json
Response
200 - undefined
Was this page helpful?
⌘I